
From: Jake Moilanen <moilanen@austin.ibm.com>

Looks like a build break on iSeries after the xmon-dabr patch:

	arch/ppc64/xmon/xmon.c:632: undefined reference to `.plpar_hcall_norets'

Since iSeries cannot use xmon, a simple fix is to turn it off.

Signed-off-by: Jake Moilanen <moilanen@austin.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Kconfig.debug |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/Kconfig.debug~ppc64-iseries-buildbreak-fix arch/ppc64/Kconfig.debug
--- 25/arch/ppc64/Kconfig.debug~ppc64-iseries-buildbreak-fix	Thu Jan 27 13:52:21 2005
+++ 25-akpm/arch/ppc64/Kconfig.debug	Thu Jan 27 13:52:21 2005
@@ -34,7 +34,7 @@ config DEBUGGER
 
 config XMON
 	bool "Include xmon kernel debugger"
-	depends on DEBUGGER
+	depends on DEBUGGER && !PPC_ISERIES
 	help
 	  Include in-kernel hooks for the xmon kernel monitor/debugger.
 	  Unless you are intending to debug the kernel, say N here.
_
